[@rxap/form-system](../wiki/globals) / MethodResultAdapterFunction

# Type Alias: MethodResultAdapterFunction()\<Source, Target\>

> **MethodResultAdapterFunction**\<`Source`, `Target`\>: (`result`) => `Target`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L12)

## Type Parameters

• **Source** = `unknown`

• **Target** = `unknown`

## Parameters

### result

`Source`

## Returns

`Target`
